To receive notifications about scheduled maintenance, please subscribe to the mailing-list gitlab-operations@sympa.ethz.ch. You can subscribe to the mailing-list at https://sympa.ethz.ch

Commit 35a402b6 authored by Xuqian Yan's avatar Xuqian Yan
Browse files

Downgraded python and recommonmark; updated readme

parent d4573d6b
......@@ -19,6 +19,6 @@ formats:
# Optionally set the version of Python and requirements required to build your docs
python:
version: 3.9
version: 3.7
install:
- requirements: docs/requirements.txt
......@@ -9,4 +9,4 @@ sphinxcontrib-serializinghtml==1.1.3
sphinxcontrib-websupport==1.2.0
sphinxemoji==0.1.6
sphinx-rtd-theme==0.5.0
docutils==0.17
\ No newline at end of file
docutils==0.16
\ No newline at end of file
This documentation is shown on <https://nexus-e.readthedocs.io/en/latest/>.
How to compile the whole documentation locally:
- install python 3.x
- install [Anaconda](https://docs.anaconda.com/anaconda/install/)
- create a virtual environment for better python package management. Here are example codes using conda:
- conda create --name **nexuse-doc** (you can change the "nexuse-doc" to any name for the virtual environment)
- conda create -n **nexuse-doc** python=3.7 (you can change the "nexuse-doc" to any name for the virtual environment; the python version should be aligned with the version specified in docs/.readthedocs.yml)
- conda activate **nexuse-doc**
- cd to "docs" folder of this repository
- conda install python=3.9 (aligned with the python version specified in docs/.readthedocs.yml)
- conda install pip
- pip install -r "requirements.txt"
- make html
- open build/html/index.html
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment